Create Adapter Instance
Pass the not-required parameters to indicate whether need to return default value or null in a result for identifiers that have no/null value in request body and continue instantiating adapter even if no connection is established.
In case of VCenter adapter instance, UI/license extension registration should be run separately.
NOTE: for VCF and vCenter cloud accounts please use /api/integrations/vcenters and /api/integrations/vcf APIs respectively
Indicates whether need to return default value or null in a result for
identifiers that have no/null value in request body
Proceed with adapter instance creation even if connection is not established
The adapter instance creation request
Show optional properties
{
"adapterKindKey": "string",
"name": "string"
}
"{\n \"name\" : \"VC Adapter Instance\",\n \"description\" : \"A vCenter Adapter Instance\",\n \"collectorId\" : \"1\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceIdentifiers\" : [ {\n \"name\" : \"AUTODISCOVERY\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"PROCESSCHANGEEVENTS\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"VCURL\",\n \"value\" : \"VC_IP_Address\"\n } ],\n \"credential\" : {\n \"name\" : \"New Principal Credential\",\n \"adapterKindKey\" : \"VMWARE\",\n \"credentialKindKey\" : \"PRINCIPALCREDENTIAL\",\n \"fields\" : [ {\n \"name\" : \"USER\",\n \"value\" : \"user_name\"\n }, {\n \"name\" : \"PASSWORD\",\n \"value\" : \"passwd\"\n } ]\n },\n \"physicalDatacenterId\" : \"e41ee4fc-8041-44f4-864e-7e1d17773ce2\"\n}"
The Adapter Kind key
The Collector Group ID to be used for this Adapter Instance. If not specified, the system will choose an appropriate Collector group for you
The Collector instance used by this adapter instance. If not specified, the system will choose an appropriate Collector for you
The Credential Instance information
Optional description of the Adapter instance
Minutes part of the monitoring Interval of the Adapter Instance, where the monitoring Interval is the frequency of data source query for stats and properties.
Seconds part of the monitoring Interval of the Adapter Instance, where the monitoring Interval is the frequency of data source query for stats and properties.
The name of the Adapter instance
The Physical Datacenter ID to be used for this Adapter Instance. It is Optional
Adapter instance specific resource identifiers
The adapter instance that was created
"{\n \"resourceKey\" : {\n \"name\" : \"VC Adapter for 10.20.88.111\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"Adapter\",\n \"resourceIdentifiers\" : [ ]\n },\n \"description\" : \"A vCenter Adapter Instance\",\n \"collectorId\" : 1,\n \"credentialInstanceId\" : \"6f455a29-3330-47b6-9128-a608bca9d2c7\",\n \"id\" : \"725cbdae-812e-4e98-9972-53c58f51661b\"\n}"
The set of untrusted certificates returned by the adapter source
The ID of the collector group. If not specified, the system will choose an appropriate Collector group for you
The ID of the Collector that manages this adapter instance. This is optional and if not specified, system will choose an appropriate collector.
The Credential Instance identifier used by this adapter instance
Optional description of the Adapter instance
The UUID of the adapter instance
Last time adapter instance reported collection of resources/stats.
Last time when this adapter instance communicated with VMware Cloud Foundation Operations Server.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
Any message from the adapter instance.
Minutes part of the monitoring Interval of the Adapter Instance.
Seconds part of the monitoring Interval of the Adapter Instance
The number of metrics reported by this adapter instance.
The number of resources being monitored by this resource.
The Physical Datacenter ID to be used for this Adapter Instance.It is Optional
Represents a composite key for uniquely identifying a Resource.
If create 'adapter instance' failed. Typically the service will return extra information as to why the creation failed.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"adapterKindKey":"string","name":"string"}' https://{api_host}/suite-api/api/adapters